<template>
  <v-container>

    <div class="topnav" :class="{responsive: isMobile}" >
      <nuxt-link v-for="item in menuItems" :key="item.title" :to="item.path">{{ item.title }}</nuxt-link>
      <!-- <nuxt-link to="#home" class="active">Home</nuxt-link> -->
      <nuxt-link to="#news">News</nuxt-link>
      <nuxt-link to="#contact">Contact</nuxt-link>
      <nuxt-link to="#about">About</nuxt-link>
      <a @click="mobileMenu" class="icon"> Menu </a>
    </div>
    <!-- <v-toolbar >
      <span class="hidden-md-and-up"> {{ appTitle }}
        <v-toolbar-side-icon @click="sidebar = !sidebar"> <v-icon left dark> "mdi-email" </v-icon> </v-toolbar-side-icon>
      </span>
      <v-toolbar-title>
        <nuxt-link to="/" style="cursor: pointer"> 
          {{ appTitle }}
        </nuxt-link>
      </v-toolbar-title>
      <v-spacer></v-spacer>
      <v-toolbar-items class="hidden-xs-only">
        <v-btn v-for="item in menuItems" :key="item.title" :to="item.path">
          <v-icon left dark>{{ item.icon }}</v-icon>
          {{ item.title }}
        </v-btn>
      </v-toolbar-items>
    </v-toolbar> -->
  </v-container>

</template>
<script>
export default {
    data() {
      return {
        appTitle: 'Menu',
        isMobile: false,
        menuItems: [
            { title: 'Home', path: '/', icon: 'mdi-email' },
            { title: 'শীর্ষ সংবাদ', path: '/news', icon: '' },
            { title: 'এপার-বাংলা', path: '/signup', icon: '' },
            { title: 'ওপার-বাংলা', path: '/signup', icon: '' },
            { title: 'দেশ-দুনিয়া', path: '/news', icon: '' },
            { title: 'ব্যবসা-বাজার', path: '/news', icon: '' },
            { title: 'কর্মখালি', path: '/news', icon: '' },
            { title: 'খেলা-ধূলা', path: '/news', icon: '' },
            { title: 'জানা-অজানা', path: '/news', icon: '' },
            { title: 'আজব-গজব', path: '/news', icon: '' },
            { title: 'ইচ্ছে-পাখি', path: '/news', icon: '' },
            { title: 'অতিথির-কথা', path: '/news', icon: '' },
            { title: 'দেশ-দুনিয়া', path: '/news', icon: '' },
            { title: 'সমস্ত বিভাগ', path: '/category', icon: '' }
            ]
      }
    // async fetch() {
    //   this.mountains = await fetch(process.env.apiLink).then((res) => res.json());
    // },
    },
    methods: {
    mobileMenu: function() {
      this.isMobile = !this.isMobile;
      // some code to filter users
    }
  }
}
</script>
<style scoped>
.topnav {
  overflow: hidden;
  background-color: rgba(255,0,0,1);
  background-image: linear-gradient(180deg, rgba(166,22,22,1), rgba(228,30,30,19) );
}

.topnav a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

.topnav a:hover {
  background-color: #ddd;
  color: black;
}

.topnav a.active {
  background-color: #04AA6D;
  color: white;
}

.topnav .icon {
  display: none;
}

@media screen and (max-width: 600px) {
  .topnav a:not(:first-child) {display: none;}
  .topnav a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}
</style>
